Costfluent Docs
  • Documentation
  • API Reference
Information
Workspaces
    List workspacesgetCreate workspacepostGet workspacegetUpdate workspaceputDelete workspacedeleteGet the workspace's exchange rate policyget
Virtual Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Virtual-Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Utility
    Get current token infogetHealth checkget
Me
    Get current token infoget
Ping
    Health checkget
Tags
    Get tag keygetDelete tag keydeleteList tag keysget
Tag-Keys
    Get tag keygetDelete tag keydeleteList tag keysget
Saved Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Saved-Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Providers
    List providersgetConnect providerpostGet providergetDelete providerdeleteGet available providersgetGet provider sync historygetTest provider connectionpostTrigger provider syncpostUpdate providerput
Folders
    List foldersgetCreate folderpostGet foldergetUpdate folderputDelete folderdelete
Exchange Rates
    Get available currenciesgetGet exchange rategetGet the workspace's exchange rate policygetList exchange ratesget
Exchange-Rates
    Get available currenciesgetGet exchange rategetList exchange ratesget
Dashboards
    List dashboardsgetCreate dashboardpostGet dashboardgetUpdate dashboardputDelete dashboarddelete
Custom Provider
    Submit costs batchpost
Custom-Providers
    Submit costs batchpost
Report Notifications
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost-Report-Subscriptions
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost-Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost Data
    Get cost datagetGet cost forecastgetGet cost summaryget
Costs
    Get cost datagetGet cost forecastgetGet cost summaryget
Cost Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Cost-Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Contracting
    Get the data processing agreement statusget
Budgets
    List budgetsgetCreate budgetpostGet budgetgetUpdate budgetputDelete budgetdelete
Billing
    Get the account's entitlementgetGet the account's metered usageget
Entitlement
    Get the account's entitlementget
Usage
    Get the account's metered usageget
Anomalies
    Acknowledge anomalypostList anomaliesget
Allocation
    List allocation rulesgetCreate an allocation rulepostUpdate an allocation ruleputDelete an allocation ruledeleteReorder the allocation rule setpostRead allocation coveragegetList segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdeletePreview an allocation rulepost
Segments
    List segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdelete
Schemas
Costfluent Public API
Costfluent Public API

Exchange-Rates

Server
Download schema

Get available currencies

GET
https://api.costfluent.com
/v1/exchange-rates/currencies
Bearer (API token)

Returns all available currencies for exchange rate lookups

Get available currencies › Responses

Success

CostfluentPublicApiModelsV1ResponsesAvailableCurrenciesResponse
currencies
​string[] · required
GET/v1/exchange-rates/currencies
curl https://api.costfluent.com/v1/exchange-rates/currencies \ --header 'Authorization: Bearer <token>'
Example Responses
{ "currencies": [ "string" ] }
json
application/json

Get exchange rate

GET
https://api.costfluent.com
/v1/exchange-rates/rate
Bearer (API token)

Returns the exchange rate for a currency pair on a specific date

Get exchange rate › query Parameters

baseCurrency
​string · required
targetCurrency
​string · required
date
​string | null · date

Get exchange rate › Responses

Success

CostfluentPublicApiModelsV1ResponsesExchangeRateResponse
baseCurrency
​string · required
targetCurrency
​string · required
rate
​number · double · required
effectiveDate
​string · date · required
source
​string · required
GET/v1/exchange-rates/rate
curl 'https://api.costfluent.com/v1/exchange-rates/rate?baseCurrency=<string>&targetCurrency=<string>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "baseCurrency": "baseCurrency", "targetCurrency": "targetCurrency", "rate": 0, "effectiveDate": "2024-08-25", "source": "source" }
json
application/json

List exchange rates

GET
https://api.costfluent.com
/v1/exchange-rates
Bearer (API token)

Returns exchange rates for a specific date (defaults to today)

List exchange rates › query Parameters

date
​string | null · date

List exchange rates › Responses

Success

CostfluentPublicApiModelsV1ResponsesExchangeRateListResponse
​CostfluentPublicApiModelsV1ResponsesExchangeRateResponse[] · required
total
​integer · int32 · required
GET/v1/exchange-rates
curl https://api.costfluent.com/v1/exchange-rates \ --header 'Authorization: Bearer <token>'
Example Responses
{ "rates": [ { "baseCurrency": "baseCurrency", "targetCurrency": "targetCurrency", "rate": 0, "effectiveDate": "2024-08-25", "source": "source" } ], "total": 0 }
json
application/json

Exchange RatesDashboards